Skip to main content
POST
/
v1
/
admin
/
guilds
/
{guild_id}
/
update
curl -X POST https://hapi.7331.org/v1/admin/guilds/987654321098765432/update \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{"name": "Updated Server Name", "state": 0}'
{
  "message": "Guild 987654321098765432 updated"
}
Requires an active admin session cookie. Hierarchy enforced against the guild owner.
guild_id
integer
required
Discord snowflake ID of the guild.
name
string
New guild name (1-100 characters).
owner_discord_id
integer
New owner Discord ID.
state
integer
New guild state. 0 = Active, 1 = Inactive, 2 = Banned.

Response

message
string
required
Action result message.
curl -X POST https://hapi.7331.org/v1/admin/guilds/987654321098765432/update \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{"name": "Updated Server Name", "state": 0}'
{
  "message": "Guild 987654321098765432 updated"
}